@echo on
:: Symmetricom TimeCraft 
:: ==================================================================
:: SET INSTALL_HOME=C:\Program Files
:: ========
:: The home directory for the TimeCraft product
:: ------------------------------------------------------------------
SET TIMECRAFT_HOME=%INSTALL_HOME%\Symmetricom\TimeCraft

:===================
::The Main entry point to the application
SET MAIN_CLASSNAME=TimeCraft.jar 

:===================
::The VM to use
SET JAVA_EXE=%TIMECRAFT_HOME%\bin\javaw.exe

:: Save the current path so that we may restore it
SET OLD_PATH=%PATH%


:: Generate the path that we are going to use
::
SET PATH=%TIMECRAFT_HOME=%\bin;%TIMECRAFT_HOME=%;
::

:: Reset up the command line arguments so that we can use more than 9.
:: This gets around the %1, %2, ..., %9 limit of DOS.

SET ARGS=
IF %1!==! GOTO endArgs
SET ARGS=%1

:loop
SHIFT
IF %1!==! GOTO endArgs
   SET ARGS=%ARGS% %1
   GOTO loop
:endArgs

:: Launch TimeCraft
::

START "TimeCraft" "%JAVA_EXE%" -jar %MAIN_CLASSNAME% %ARGS%

:: Reset environmental variables back to what they were before
::

set PATH=%OLD_PATH%

:END
EXIT
